.thumbnail-carousel {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    overflow: hidden;
    position: relative;
    text-align: center;
    z-index: 2;
}

.page-info {
    display: none; /* По умолчанию скрыто */
    margin-top: 20px; /* Достаточный отступ сверху для отделения от карусели */
    font-size: 26px;
    text-align: center; /* Центрирование текста */
    width: 100%; /* Занимает всю ширину для центрирования */
    z-index: 2;
}


.thumbnails {
    display: flex;
    overflow-x: hidden;
    width: 100%;
    z-index: 2;
}

.thumbnail {
    width: 150px;
    height: 150px;
    margin-right: 20px;
    object-fit: cover;
    cursor: pointer;
    flex-shrink: 0;
    display: none;
    border-radius: 10px;
    z-index: 2;
}

.nav-button {
    background-color: rgba(255, 255, 255, 0.7);
    border: 2px solid #ccc;
    cursor: pointer;
    padding: 15px;
    z-index: 3;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);

}

.nav-button.prev {
    left: 0;
}

.nav-button.next {
    right: 0;
}

@media (max-width: 768px) {
    .post-content-general {
        flex-direction: column; /* Изменить на колонку для вертикального расположения */
        margin: 0; /* Убрать отступ для мобильных */
    }

    .custom-heading {
        text-align: center; /* Центрирование заголовка */
        margin-left: 0;
        margin-right: 0;
    }

    .img-article-left {
        max-width: 100%; /* Максимальная ширина 100% для адаптации к экрану */
        float: none; /* Убрать обтекание */
        margin: 0 auto; /* Центрирование изображения */
    }

    .content-text {
        font-size: 18px; /* Увеличить размер шрифта для удобства чтения */
        margin: 0 auto;
    }

    .thumbnail-carousel {
        margin-top: 0px; /* Отступ сверху, чтобы отделить от других элементов */
    }
   .thumbnail {
    width: 120px;
    height: 120px;
    margin-right: 10px;
}
}

@media (min-width: 4000px) {

.page-info {
    display: none; /* По умолчанию скрыто */
    margin-top: 40px; /* Достаточный отступ сверху для отделения от карусели */
    font-size: 42px;
}


.thumbnail {
    width: 300px;
    height: 300px;
    margin-right: 40px;
    border-radius: 20px;
}

.nav-button {
    border: 4px solid #ccc;
    padding: 30px;
    font-size: 30px;
}
}